Package org.opensaml.saml.common

# Class SAMLObjectSupport

java.lang.Object
org.opensaml.saml.common.SAMLObjectSupport

public final class SAMLObjectSupport extends Object
A helper class for working with SAMLObjects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Logger.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLObjectSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`declareNonVisibleNamespaces(SignableSAMLObject signableObject)`
Examines the `SignableSAMLObject` for the need to declare non-visible namespaces before marshalling and signing, and if required, performs the declarations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Logger.

## Constructor Details

### SAMLObjectSupport

private SAMLObjectSupport()
Constructor.

## Method Details

### declareNonVisibleNamespaces

public static void declareNonVisibleNamespaces(@Nonnull SignableSAMLObject signableObject)
Examines the `SignableSAMLObject` for the need to declare non-visible namespaces before marshalling and signing, and if required, performs the declarations.

If the object does not already have a cached DOM, does have a signature attached, and the signature contains a `SAMLObjectContentReference` with a transform of either `SignatureConstants.TRANSFORM_C14N_EXCL_OMIT_COMMENTS` or `SignatureConstants.TRANSFORM_C14N_EXCL_WITH_COMMENTS`, it declares on the object all non-visible namespaces as determined by `NamespaceManager.getNonVisibleNamespaces()`.

Parameters:
  `signableObject` - the signable SAML object to evaluate